$(document).ready(function() {var formatter = new CucumberHTML.DOMFormatter($('.cucumber-report'));formatter.uri("features/Drivers.feature");
formatter.feature({
  "line": 1,
  "name": "Get driver\u0027s details",
  "description": "",
  "id": "get-driver\u0027s-details",
  "keyword": "Feature"
});
formatter.scenario({
  "line": 4,
  "name": "Get details of drivers by driver id",
  "description": "",
  "id": "get-driver\u0027s-details;get-details-of-drivers-by-driver-id",
  "type": "scenario",
  "keyword": "Scenario",
  "tags": [
    {
      "line": 3,
      "name": "@sanity"
    }
  ]
});
formatter.step({
  "line": 5,
  "name": "a driver exists with driver id \"abecassis\"",
  "keyword": "Given "
});
formatter.step({
  "line": 6,
  "name": "a driver details is retrieved by driver id",
  "keyword": "When "
});
formatter.step({
  "line": 7,
  "name": "the status code is 200",
  "keyword": "Then "
});
formatter.step({
  "line": 8,
  "name": "response includes the following",
  "rows": [
    {
      "cells": [
        "MRData.DriverTable.Drivers.driverId",
        "abecassis"
      ],
      "line": 9
    },
    {
      "cells": [
        "MRData.DriverTable.Drivers.url",
        "http://en.wikipedia.org/wiki/George_Abecassis"
      ],
      "line": 10
    },
    {
      "cells": [
        "MRData.DriverTable.Drivers.givenName",
        "George"
      ],
      "line": 11
    },
    {
      "cells": [
        "MRData.DriverTable.Drivers.familyName",
        "Abecassis"
      ],
      "line": 12
    },
    {
      "cells": [
        "MRData.DriverTable.Drivers.dateOfBirth",
        "1913-03-21"
      ],
      "line": 13
    },
    {
      "cells": [
        "MRData.DriverTable.Drivers.nationality",
        "British"
      ],
      "line": 14
    }
  ],
  "keyword": "And "
});
formatter.match({
  "arguments": [
    {
      "val": "abecassis",
      "offset": 32
    }
  ],
  "location": "Drivers_get_steps.a_driver_exists_with_driver_id(String)"
});
formatter.result({
  "duration": 125082267,
  "status": "passed"
});
formatter.match({
  "location": "Drivers_get_steps.a_driver_details_is_retrieved_by_driver_id()"
});
formatter.result({
  "duration": 1425729245,
  "status": "passed"
});
formatter.match({
  "arguments": [
    {
      "val": "200",
      "offset": 19
    }
  ],
  "location": "Drivers_get_steps.the_status_code_is(int)"
});
formatter.result({
  "duration": 27740441,
  "status": "passed"
});
formatter.match({
  "location": "Drivers_get_steps.response_includes_the_following(String,String\u003e)"
});
formatter.result({
  "duration": 330423683,
  "status": "passed"
});
formatter.uri("features/Sample.feature");
formatter.feature({
  "line": 1,
  "name": "To post Employee data",
  "description": "",
  "id": "to-post-employee-data",
  "keyword": "Feature"
});
formatter.scenario({
  "line": 4,
  "name": "post empployee correct details and assert response",
  "description": "",
  "id": "to-post-employee-data;post-empployee-correct-details-and-assert-response",
  "type": "scenario",
  "keyword": "Scenario",
  "tags": [
    {
      "line": 3,
      "name": "@sanity"
    }
  ]
});
formatter.step({
  "line": 6,
  "name": "employee data is uploaded through webservice",
  "keyword": "When "
});
formatter.step({
  "line": 7,
  "name": "verify the success status code 200",
  "keyword": "Then "
});
formatter.step({
  "line": 8,
  "name": "verify employee_id is generated",
  "keyword": "And "
});
formatter.match({
  "location": "Employee_post_steps.employee_data_is_uploaded_through_webservice()"
});
formatter.result({
  "duration": 248827243,
  "status": "passed"
});
formatter.match({
  "arguments": [
    {
      "val": "200",
      "offset": 31
    }
  ],
  "location": "Employee_post_steps.verify_the_success_status_code(int)"
});
formatter.result({
  "duration": 348677,
  "status": "passed"
});
formatter.match({
  "location": "Employee_post_steps.verify_employee_id_is_generated()"
});
formatter.result({
  "duration": 13236089,
  "error_message": "java.lang.AssertionError: 1 expectation failed.\nResponse body doesn\u0027t match expectation.\nExpected: a string containing \"id\"\n  Actual: {\"error\":{\"text\":SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate entry \u0027testfrtysio\u0027 for key \u0027employee_name_unique\u0027}}\n\n\tat sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)\n\tat sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)\n\tat sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)\n\tat java.lang.reflect.Constructor.newInstance(Constructor.java:423)\n\tat org.codehaus.groovy.reflection.CachedConstructor.invoke(CachedConstructor.java:83)\n\tat org.codehaus.groovy.reflection.CachedConstructor.doConstructorInvoke(CachedConstructor.java:77)\n\tat org.codehaus.groovy.runtime.callsite.ConstructorSite$ConstructorSiteNoUnwrap.callConstructor(ConstructorSite.java:84)\n\tat org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCallConstructor(CallSiteArray.java:60)\n\tat org.codehaus.groovy.runtime.callsite.AbstractCallSite.callConstructor(AbstractCallSite.java:235)\n\tat org.codehaus.groovy.runtime.callsite.AbstractCallSite.callConstructor(AbstractCallSite.java:247)\n\tat io.restassured.internal.ResponseSpecificationImpl$HamcrestAssertionClosure.validate(ResponseSpecificationImpl.groovy:471)\n\tat io.restassured.internal.ResponseSpecificationImpl$HamcrestAssertionClosure$validate$1.call(Unknown Source)\n\tat io.restassured.internal.ResponseSpecificationImpl.validateResponseIfRequired(ResponseSpecificationImpl.groovy:643)\n\tat sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\n\tat sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\n\tat sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\n\tat java.lang.reflect.Method.invoke(Method.java:498)\n\tat org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite$PogoCachedMethodSiteNoUnwrapNoCoerce.invoke(PogoMetaMethodSite.java:210)\n\tat org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite.callCurrent(PogoMetaMethodSite.java:59)\n\tat org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCallCurrent(CallSiteArray.java:52)\n\tat org.codehaus.groovy.runtime.callsite.AbstractCallSite.callCurrent(AbstractCallSite.java:154)\n\tat org.codehaus.groovy.runtime.callsite.AbstractCallSite.callCurrent(AbstractCallSite.java:166)\n\tat io.restassured.internal.ResponseSpecificationImpl.content(ResponseSpecificationImpl.groovy:94)\n\tat io.restassured.specification.ResponseSpecification$content$2.callCurrent(Unknown Source)\n\tat org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCallCurrent(CallSiteArray.java:52)\n\tat org.codehaus.groovy.runtime.callsite.AbstractCallSite.callCurrent(AbstractCallSite.java:154)\n\tat org.codehaus.groovy.runtime.callsite.AbstractCallSite.callCurrent(AbstractCallSite.java:174)\n\tat io.restassured.internal.ResponseSpecificationImpl.body(ResponseSpecificationImpl.groovy:244)\n\tat io.restassured.internal.ValidatableResponseOptionsImpl.body(ValidatableResponseOptionsImpl.java:262)\n\tat com.qa.stepdefinition.Employee_post_steps.verify_employee_id_is_generated(Employee_post_steps.java:36)\n\tat ✽.And verify employee_id is generated(features/Sample.feature:8)\n",
  "status": "failed"
});
formatter.scenario({
  "line": 11,
  "name": "post empployee incorrect details and assert response",
  "description": "",
  "id": "to-post-employee-data;post-empployee-incorrect-details-and-assert-response",
  "type": "scenario",
  "keyword": "Scenario",
  "tags": [
    {
      "line": 10,
      "name": "@sanity"
    }
  ]
});
formatter.step({
  "line": 12,
  "name": "wrong employee data is uploaded through webservice",
  "keyword": "When "
});
formatter.step({
  "line": 13,
  "name": "verify the success status code 200",
  "keyword": "Then "
});
formatter.step({
  "line": 14,
  "name": "verify error message is generated",
  "keyword": "And "
});
formatter.match({
  "location": "Employee_post_steps.wrong_employee_data_is_uploaded_through_webservice()"
});
formatter.result({
  "duration": 254796703,
  "status": "passed"
});
formatter.match({
  "arguments": [
    {
      "val": "200",
      "offset": 31
    }
  ],
  "location": "Employee_post_steps.verify_the_success_status_code(int)"
});
formatter.result({
  "duration": 421221,
  "status": "passed"
});
formatter.match({
  "location": "Employee_post_steps.verify_error_message_is_generated()"
});
formatter.result({
  "duration": 985450,
  "status": "passed"
});
});